#!/bin/csh -f
#Script para realização de backup remotos
#Ricardo Guedes

set IPs=`cat /backup/scripts/hosts_bkp | awk 'NF>1' | awk '{print $1}' | grep -v \#`
set MQs=`cat /backup/scripts/hosts_bkp | awk 'NF>1' | awk '{print $2}' | grep -v \#`
set SEs=`cat /backup/scripts/hosts_bkp | awk 'NF>1' | awk '{print $3}' | grep -v \#`
set TAM=${#IPs}
set i=1

while ($i <= $TAM )
	clear
	echo "Executando rotinas de backup na maquina ${MQs[$i]} - ${IPs[$i]}"
	echo ""
	echo "Verificando conexao"
	ping -c1 -w1 ${IPs[$i]}
	
	if ( "$?" == "0" ) then
		echo ""
		echo "Copiando script de backup"
		cat /backup/scripts/backup_sagecnf.sh | ssh sage@${IPs[$i]} 'cat - > /export/home/sage/sage/backup_sagecnf.sh'
		ssh sage@${IPs[$i]} 'chmod +x /export/home/sage/sage/backup_sagecnf.sh'
		ssh sage@${IPs[$i]} '/export/home/sage/sage/backup_sagecnf.sh'
		set ARQ=`ssh sage@${IPs[$i]} 'ls -1 --sort=time $SAGE | grep sagecnf | grep .tar.Z' | awk 'NR==1'`

		echo ""
		echo "Realizando o rsync"
		mkdir -p /backup/cnf/${SEs[$i]}
		rsync -avz sage@${IPs[$i]}:$SAGE/$ARQ /backup/cnf/${SEs[$i]}/
		echo ""
		echo "Rotinas executadas"
	endif
	sleep 1
	@ i = $i + 1
end